Package org.springframework.aop.config

# Class AdvisorComponentDefinition

java.lang.Object
org.springframework.beans.factory.parsing.AbstractComponentDefinition
org.springframework.aop.config.AdvisorComponentDefinition

All Implemented Interfaces:
  `org.springframework.beans.BeanMetadataElement`, `org.springframework.beans.factory.parsing.ComponentDefinition`

public class AdvisorComponentDefinition extends org.springframework.beans.factory.parsing.AbstractComponentDefinition
`ComponentDefinition` that bridges the gap between the advisor bean definition configured by the `<aop:advisor>` tag and the component definition infrastructure.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`AdvisorComponentDefinition(String advisorBeanName, org.springframework.beans.factory.config.BeanDefinition advisorDefinition)`
`AdvisorComponentDefinition(String advisorBeanName, org.springframework.beans.factory.config.BeanDefinition advisorDefinition, org.springframework.beans.factory.config.BeanDefinition pointcutDefinition)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition[]`
`getBeanDefinitions()`
`org.springframework.beans.factory.config.BeanReference[]`
`getBeanReferences()`
`String`
`getDescription()`
`String`
`getName()`
`Object`
`getSource()`

### Methods inherited from class org.springframework.beans.factory.parsing.AbstractComponentDefinition

`getInnerBeanDefinitions, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AdvisorComponentDefinition

public AdvisorComponentDefinition(String advisorBeanName, org.springframework.beans.factory.config.BeanDefinition advisorDefinition)

### AdvisorComponentDefinition

public AdvisorComponentDefinition(String advisorBeanName, org.springframework.beans.factory.config.BeanDefinition advisorDefinition, @Nullable org.springframework.beans.factory.config.BeanDefinition pointcutDefinition)

## Method Details

### getName

public String getName()

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `org.springframework.beans.factory.parsing.ComponentDefinition`
Overrides:
  `getDescription` in class `org.springframework.beans.factory.parsing.AbstractComponentDefinition`

### getBeanDefinitions

public org.springframework.beans.factory.config.BeanDefinition[] getBeanDefinitions()

Specified by:
  `getBeanDefinitions` in interface `org.springframework.beans.factory.parsing.ComponentDefinition`
Overrides:
  `getBeanDefinitions` in class `org.springframework.beans.factory.parsing.AbstractComponentDefinition`

### getBeanReferences

public org.springframework.beans.factory.config.BeanReference[] getBeanReferences()

Specified by:
  `getBeanReferences` in interface `org.springframework.beans.factory.parsing.ComponentDefinition`
Overrides:
  `getBeanReferences` in class `org.springframework.beans.factory.parsing.AbstractComponentDefinition`

### getSource

@Nullable public Object getSource()